Como instalar a impressora HP Deskjet no Debian 11 (bullseye) ?

13. Como instalar a impressora HP Deskjet no Debian 11 (bullseye) ?

Manoel Ribeiro Calixto
Mano8

(usa Debian)

Enviado em 14/01/2022 - 18:30h


ogro33 escreveu:



Coloquei o comando e não teve nenhuma saída do terminal.
Fica assim:

[email protected]:~$ cat /var/log/dpkg.log | grep hplip
[email protected]:~$


Parece que não houve tentativa de instalação dos pacotes pelo dpkg então.

Tente instalar como falei ateriormente, pelo apt install...

sudo apt install hplip 


Tentei fazer isso agora no terminal e apareceu isso:

[email protected]:~$ sudo apt install hplip
[sudo] senha para ...:
Lendo listas de pacotes... Pronto
Construindo árvore de dependências... Pronto
Lendo informação de estado... Pronto
Você pode querer executar 'apt --fix-broken install' para corrigí-los.
Os pacotes a seguir têm dependências desencontradas:
dblatex : Depende: texlive-latex-extra mas não será instalado
hplip : Depende: hplip-data (= 3.21.2+dfsg1-2) mas não será instalado
Depende: libhpmud0 (= 3.21.2+dfsg1-2) mas não será instalado
Depende: libsane-hpaio (= 3.21.2+dfsg1-2) mas não será instalado
Depende: printer-driver-hpcups (= 3.21.2+dfsg1-2) mas não será instalado
Depende: python3-pexpect mas não será instalado
Depende: python3-pil mas não será instalado
Depende: python3-reportlab mas não será instalado
Recomenda: printer-driver-postscript-hp mas não será instalado
texlive-bibtex-extra : Depende: texlive-base (>= 2020.20200417) mas 2016.20161130-1 está para ser instalado
Quebra: texlive-base (< 2020.20200417) mas 2016.20161130-1 está para ser instalado
Quebra: texlive-base:i386 (< 2020.20200417)
texlive-binaries : Quebra: texlive-base (< 2020) mas 2016.20161130-1 está para ser instalado
Quebra: texlive-base:i386 (< 2020)
texlive-extra-utils : Depende: texlive-base (>= 2020.20200417) mas 2016.20161130-1 está para ser instalado
Depende: texlive-plain-generic (>= 2020.20200417) mas não será instalado
Quebra: texlive-base (< 2020.20200417) mas 2016.20161130-1 está para ser instalado
Quebra: texlive-base:i386 (< 2020.20200417)
texlive-font-utils : Depende: texlive-base (>= 2020.20200417) mas 2016.20161130-1 está para ser instalado
Quebra: texlive-base (< 2020.20200417) mas 2016.20161130-1 está para ser instalado
Quebra: texlive-base:i386 (< 2020.20200417)
texlive-fonts-recommended : Depende: texlive-base (>= 2020.20200417) mas 2016.20161130-1 está para ser instalado
Quebra: texlive-base (< 2020.20200417) mas 2016.20161130-1 está para ser instalado
Quebra: texlive-base:i386 (< 2020.20200417)
texlive-fonts-recommended-doc : Depende: texlive-base (>= 2020.20200417) mas 2016.20161130-1 está para ser instalado
Quebra: texlive-base (< 2019.20200213) mas 2016.20161130-1 está para ser instalado
Quebra: texlive-base:i386 (< 2019.20200213)
texlive-lang-greek : Depende: texlive-base (>= 2020.20200417) mas 2016.20161130-1 está para ser instalado
Quebra: texlive-base (< 2020.20200417) mas 2016.20161130-1 está para ser instalado
Quebra: texlive-base:i386 (< 2020.20200417)
texlive-latex-base : Depende: texlive-base (>= 2020.20200417) mas 2016.20161130-1 está para ser instalado
Quebra: texlive-base (< 2020.20200417) mas 2016.20161130-1 está para ser instalado
Quebra: texlive-base:i386 (< 2020.20200417)
texlive-latex-base-doc : Depende: texlive-base (>= 2020.20200417) mas 2016.20161130-1 está para ser instalado
texlive-latex-recommended : Depende: texlive-base (>= 2020.20200417) mas 2016.20161130-1 está para ser instalado
Quebra: texlive-base (< 2020.20200417) mas 2016.20161130-1 está para ser instalado
Quebra: texlive-base:i386 (< 2020.20200417)
texlive-latex-recommended-doc : Depende: texlive-base (>= 2020.20200417) mas 2016.20161130-1 está para ser instalado
texlive-luatex : Depende: texlive-base (>= 2020.20200417) mas 2016.20161130-1 está para ser instalado
Quebra: texlive-base (< 2020.20200417) mas 2016.20161130-1 está para ser instalado
Quebra: texlive-base:i386 (< 2020.20200417)
texlive-pictures : Depende: texlive-base (>= 2020.20200417) mas 2016.20161130-1 está para ser instalado
Quebra: texlive-base (< 2020.20200417) mas 2016.20161130-1 está para ser instalado
Quebra: texlive-base:i386 (< 2020.20200417)
texlive-pictures-doc : Depende: texlive-base (>= 2020.20200417) mas 2016.20161130-1 está para ser instalado
texlive-pstricks : Depende: texlive-base (>= 2020.20200417) mas 2016.20161130-1 está para ser instalado
Depende: texlive-plain-generic (>= 2020.20200417) mas não será instalado
Quebra: texlive-base (< 2020.20200417) mas 2016.20161130-1 está para ser instalado
Quebra: texlive-base:i386 (< 2020.20200417)
texlive-pstricks-doc : Depende: texlive-base (>= 2020.20200417) mas 2016.20161130-1 está para ser instalado
texlive-science : Depende: texlive-base (>= 2020.20200417) mas 2016.20161130-1 está para ser instalado
Quebra: texlive-base (< 2020.20200417) mas 2016.20161130-1 está para ser instalado
Quebra: texlive-base:i386 (< 2020.20200417)
texlive-science-doc : Depende: texlive-base (>= 2020.20200417) mas 2016.20161130-1 está para ser instalado
E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução).
[email protected]:~$

E agora o que posso fazer?


  


14. Re: Como instalar a impressora HP Deskjet no Debian 11 (bullseye) ?

rafael
ogro33

(usa Debian)

Enviado em 14/01/2022 - 18:42h



E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução).
[email protected]:~$

E agora o que posso fazer?


Você tentou rodar o comando sugerido pelo output do sistema?
No caso;

apt --fix-broken install 



15. Como instalar a impressora HP Deskjet no Debian 11 (bullseye) ?

Manoel Ribeiro Calixto
Mano8

(usa Debian)

Enviado em 14/01/2022 - 18:49h


ogro33 escreveu:



E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução).
[email protected]:~$

E agora o que posso fazer?


Você tentou rodar o comando sugerido pelo output do sistema?
No caso;

apt --fix-broken install 


Coloquei agora e apareceu isso:

E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução).
[email protected]:~$ apt --fix-broken install
E: Não foi possível abrir arquivo de trava /var/lib/dpkg/lock-frontend - open (13: Permissão negada)
E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), are you root?
[email protected]:~$


16. Re: Como instalar a impressora HP Deskjet no Debian 11 (bullseye) ?

rafael
ogro33

(usa Debian)

Enviado em 15/01/2022 - 00:08h

Mano8 escreveu:


ogro33 escreveu:



E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução).
[email protected]:~$

E agora o que posso fazer?


Você tentou rodar o comando sugerido pelo output do sistema?
No caso;

apt --fix-broken install 


Coloquei agora e apareceu isso:

E: Dependências desencontradas. Tente 'apt --fix-broken install' sem nenhum pacote (ou especifique uma solução).
[email protected]:~$ apt --fix-broken install
E: Não foi possível abrir arquivo de trava /var/lib/dpkg/lock-frontend - open (13: Permissão negada)
E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), are you root?
[email protected]:~$


Vamos lá...

Tá vendo as partes da saida do comando que eu coloquei em negrito?

Especificamente onde ele diz: "Permissão negada" e "are you root?"

O sistema está te informando que o usuario atual não tem permissão de executar o comando.
Isso pode ser resolvido de duas formas:

a) Acessando com o usuario root:
Pra isso é só executar o comando
su 

e digitar a senha do root.
Após isso é só executar o comando que você queria.
apt --fix-broken install 


Ou

b) A forma mais simples, que é acrescentando sudo na frente do comando que você quer executar. Ai ficaria, nesse caso, assim:

sudo apt --fix-broken install 



Uma dica que vai te ajudar a resolver muita coisa é: Sempre preste bastante atenção na saida dos comandos que você executar e se tiver duvidas em relação ao que alguma coisa quer dizer, uma rapida pesquisa no google pode te dar uma luz!!!
O linux costuma dar bastante feedback do que se passa quando você executa alguma coisa nele.

Se tiver duvidas do que um determinado comando faz, podes sempre recorrer ao manual do comando. Pra isso basta digitar:
man "comando" 

Sem as aspas e substituindo a palavra "comando" pelo comando que você tem duvidas de como executar.











01 02



Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts